<?php

namespace Drupal\Tests\documentation_generator\Unit\Plugin\DocumentationGeneratorChapter;

use Drupal\documentation_generator\Plugin\DocumentationGeneratorChapter\BlockContentType;
use Drupal\Tests\UnitTestCase;

/**
 * @coversDefaultClass \Drupal\documentation_generator\Plugin\DocumentationGeneratorChapter\BlockContentType
 * @group documentation_generator
 */
class BlockContentTypeTest extends UnitTestCase {

  /**
   * Tests the ModuleDependencies method.
   */
  public function testModuleDependencies() {
    $entityTypeManager = $this->createMock('Drupal\Core\Entity\EntityTypeManagerInterface');
    $moduleHandler = $this->createMock('Drupal\Core\Extension\ModuleHandlerInterface');
    $configFactory = $this->createMock('Drupal\Core\Config\ConfigFactoryInterface');

    $blockContentType = new BlockContentType([], '', [], $entityTypeManager, $moduleHandler, $configFactory);

    $dependencies = $blockContentType->moduleDependencies();

    $this->assertInternalType('array', $dependencies);
  }

}
